/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * BaggageCreateClaimRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class BaggageCreateClaimRequest {
  @SerializedName("travel_information")
  private TravelInformation travelInformation = null;

  @SerializedName("incident")
  private Incident incident = null;

  @SerializedName("formal_complaint")
  private FormalComplaint formalComplaint = null;

  @SerializedName("existing_case")
  private Reference existingCase = null;

  @SerializedName("affected_person")
  private AffectedPerson affectedPerson = null;

  @SerializedName("other_insurance_covering")
  private OtherInsuranceCovering otherInsuranceCovering = null;

  @SerializedName("legal_consents")
  private LegalConsents legalConsents = null;

  @SerializedName("policy")
  private Policy policy = null;

  @SerializedName("total_amount_claimed")
  private Model70 totalAmountClaimed = null;

  @SerializedName("amount_estimation_damage")
  private Model71 amountEstimationDamage = null;

  @SerializedName("contact_phones")
  private ContactPhones contactPhones = null;

  @SerializedName("certificate_id")
  private String certificateId = null;

  public BaggageCreateClaimRequest travelInformation(TravelInformation travelInformation) {
    this.travelInformation = travelInformation;
    return this;
  }

   /**
   * Get travelInformation
   * @return travelInformation
  **/
  @ApiModelProperty(value = "")
  public TravelInformation getTravelInformation() {
    return travelInformation;
  }

  public void setTravelInformation(TravelInformation travelInformation) {
    this.travelInformation = travelInformation;
  }

  public BaggageCreateClaimRequest incident(Incident incident) {
    this.incident = incident;
    return this;
  }

   /**
   * Get incident
   * @return incident
  **/
  @ApiModelProperty(required = true, value = "")
  public Incident getIncident() {
    return incident;
  }

  public void setIncident(Incident incident) {
    this.incident = incident;
  }

  public BaggageCreateClaimRequest formalComplaint(FormalComplaint formalComplaint) {
    this.formalComplaint = formalComplaint;
    return this;
  }

   /**
   * Get formalComplaint
   * @return formalComplaint
  **/
  @ApiModelProperty(value = "")
  public FormalComplaint getFormalComplaint() {
    return formalComplaint;
  }

  public void setFormalComplaint(FormalComplaint formalComplaint) {
    this.formalComplaint = formalComplaint;
  }

  public BaggageCreateClaimRequest existingCase(Reference existingCase) {
    this.existingCase = existingCase;
    return this;
  }

   /**
   * Get existingCase
   * @return existingCase
  **/
  @ApiModelProperty(value = "")
  public Reference getExistingCase() {
    return existingCase;
  }

  public void setExistingCase(Reference existingCase) {
    this.existingCase = existingCase;
  }

  public BaggageCreateClaimRequest affectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
    return this;
  }

   /**
   * Get affectedPerson
   * @return affectedPerson
  **/
  @ApiModelProperty(required = true, value = "")
  public AffectedPerson getAffectedPerson() {
    return affectedPerson;
  }

  public void setAffectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
  }

  public BaggageCreateClaimRequest otherInsuranceCovering(OtherInsuranceCovering otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
    return this;
  }

   /**
   * Get otherInsuranceCovering
   * @return otherInsuranceCovering
  **/
  @ApiModelProperty(value = "")
  public OtherInsuranceCovering getOtherInsuranceCovering() {
    return otherInsuranceCovering;
  }

  public void setOtherInsuranceCovering(OtherInsuranceCovering otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
  }

  public BaggageCreateClaimRequest legalConsents(LegalConsents legalConsents) {
    this.legalConsents = legalConsents;
    return this;
  }

   /**
   * Get legalConsents
   * @return legalConsents
  **/
  @ApiModelProperty(required = true, value = "")
  public LegalConsents getLegalConsents() {
    return legalConsents;
  }

  public void setLegalConsents(LegalConsents legalConsents) {
    this.legalConsents = legalConsents;
  }

  public BaggageCreateClaimRequest policy(Policy policy) {
    this.policy = policy;
    return this;
  }

   /**
   * Get policy
   * @return policy
  **/
  @ApiModelProperty(required = true, value = "")
  public Policy getPolicy() {
    return policy;
  }

  public void setPolicy(Policy policy) {
    this.policy = policy;
  }

  public BaggageCreateClaimRequest totalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
    return this;
  }

   /**
   * Get totalAmountClaimed
   * @return totalAmountClaimed
  **/
  @ApiModelProperty(value = "")
  public Model70 getTotalAmountClaimed() {
    return totalAmountClaimed;
  }

  public void setTotalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
  }

  public BaggageCreateClaimRequest amountEstimationDamage(Model71 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
    return this;
  }

   /**
   * Get amountEstimationDamage
   * @return amountEstimationDamage
  **/
  @ApiModelProperty(value = "")
  public Model71 getAmountEstimationDamage() {
    return amountEstimationDamage;
  }

  public void setAmountEstimationDamage(Model71 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
  }

  public BaggageCreateClaimRequest contactPhones(ContactPhones contactPhones) {
    this.contactPhones = contactPhones;
    return this;
  }

   /**
   * Get contactPhones
   * @return contactPhones
  **/
  @ApiModelProperty(value = "")
  public ContactPhones getContactPhones() {
    return contactPhones;
  }

  public void setContactPhones(ContactPhones contactPhones) {
    this.contactPhones = contactPhones;
  }

  public BaggageCreateClaimRequest certificateId(String certificateId) {
    this.certificateId = certificateId;
    return this;
  }

   /**
   * Identifier of the certificate related to the claim.
   * @return certificateId
  **/
  @ApiModelProperty(value = "Identifier of the certificate related to the claim.")
  public String getCertificateId() {
    return certificateId;
  }

  public void setCertificateId(String certificateId) {
    this.certificateId = certificateId;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BaggageCreateClaimRequest baggageCreateClaimRequest = (BaggageCreateClaimRequest) o;
    return Objects.equals(this.travelInformation, baggageCreateClaimRequest.travelInformation) &&
        Objects.equals(this.incident, baggageCreateClaimRequest.incident) &&
        Objects.equals(this.formalComplaint, baggageCreateClaimRequest.formalComplaint) &&
        Objects.equals(this.existingCase, baggageCreateClaimRequest.existingCase) &&
        Objects.equals(this.affectedPerson, baggageCreateClaimRequest.affectedPerson) &&
        Objects.equals(this.otherInsuranceCovering, baggageCreateClaimRequest.otherInsuranceCovering) &&
        Objects.equals(this.legalConsents, baggageCreateClaimRequest.legalConsents) &&
        Objects.equals(this.policy, baggageCreateClaimRequest.policy) &&
        Objects.equals(this.totalAmountClaimed, baggageCreateClaimRequest.totalAmountClaimed) &&
        Objects.equals(this.amountEstimationDamage, baggageCreateClaimRequest.amountEstimationDamage) &&
        Objects.equals(this.contactPhones, baggageCreateClaimRequest.contactPhones) &&
        Objects.equals(this.certificateId, baggageCreateClaimRequest.certificateId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(travelInformation, incident, formalComplaint, existingCase, affectedPerson, otherInsuranceCovering, legalConsents, policy, totalAmountClaimed, amountEstimationDamage, contactPhones, certificateId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BaggageCreateClaimRequest {\n");
    
    sb.append("    travelInformation: ").append(toIndentedString(travelInformation)).append("\n");
    sb.append("    incident: ").append(toIndentedString(incident)).append("\n");
    sb.append("    formalComplaint: ").append(toIndentedString(formalComplaint)).append("\n");
    sb.append("    existingCase: ").append(toIndentedString(existingCase)).append("\n");
    sb.append("    affectedPerson: ").append(toIndentedString(affectedPerson)).append("\n");
    sb.append("    otherInsuranceCovering: ").append(toIndentedString(otherInsuranceCovering)).append("\n");
    sb.append("    legalConsents: ").append(toIndentedString(legalConsents)).append("\n");
    sb.append("    policy: ").append(toIndentedString(policy)).append("\n");
    sb.append("    totalAmountClaimed: ").append(toIndentedString(totalAmountClaimed)).append("\n");
    sb.append("    amountEstimationDamage: ").append(toIndentedString(amountEstimationDamage)).append("\n");
    sb.append("    contactPhones: ").append(toIndentedString(contactPhones)).append("\n");
    sb.append("    certificateId: ").append(toIndentedString(certificateId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

